%global         momorel 1

Name:           perl-URI-Title
Version:        1.89
Release:        %{momorel}m%{?dist}
Summary:        Get the titles of things on the web in a sensible way
License:        "Distributable"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/URI-Title/
Source0:        http://www.cpan.org/authors/id/B/BO/BOOK/URI-Title-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-File-Type >= 0.22
BuildRequires:  perl-HTML-Parser >= 3.45
BuildRequires:  perl-Image-Size
BuildRequires:  perl-libwww-perl
BuildRequires:  perl-Module-Pluggable >= 1.2
BuildRequires:  perl-MP3-Info
BuildRequires:  perl-Test-Simple
Requires:       perl-File-Type >= 0.22
Requires:       perl-HTML-Parser >= 3.45
Requires:       perl-Image-Size
Requires:       perl-libwww-perl
Requires:       perl-Module-Pluggable >= 1.2
Requires:       perl-MP3-Info
Requires:       perl-Test-Simple
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
I keep having to find the title of things on the web. This seems like a
really simple request, just get() the object, parse for a title tag, you're
done. Ha, I wish. There are several problems with this approach:

%prep
%setup -q -n URI-Title-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/URI/Title*
%{_mandir}/man3/*

%changelog
* Sun Oct  5 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.89-1m)
- update to 1.89

* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.88-2m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.88-1m)
- update to 1.88
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.86-6m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.86-5m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.86-4m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.86-3m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.86-2m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.86-1m)
- update to 1.86
- rebuild against perl-5.16.0

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.85-3m)
- rebuild against perl-5.14.2

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.85-2m)
- rebuild against perl-5.14.1

* Sat Jun 18 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.85-1m)
- update to 1.85

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.82-11m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.82-10m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.82-9m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.82-8m)
- rebuild against perl-5.12.2

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.82-7m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.82-6m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.82-5m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.82-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.82-3m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.82-2m)
- rebuild against rpm-4.6

* Wed Oct  1 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.82-1m)
- update to 1.82

* Wed Sep 17 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.81-1m)
- update to 1.81

* Tue Sep 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.80-2m)
- add patch0 for test (ad hoc...)

* Tue Aug 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.80-1m)
- update to 1.80

* Sun Apr 27 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.70-1m)
- update to 1.70

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.62-3m)
- rebuild against gcc43

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.62-2m)
- use vendor

* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.62-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
